#
# spec file for package python-coloredlogs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-coloredlogs
Version:        10.0
Release:        lp151.2.3.1
Summary:        Colored terminal output for Python's logging module
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/xolox/python-coloredlogs
Source:         https://files.pythonhosted.org/packages/source/c/coloredlogs/coloredlogs-%{version}.tar.gz
BuildRequires:  %{python_module capturer >= 2.4}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module humanfriendly >= 3.2}
BuildRequires:  %{python_module mock >= 1.0.1}
BuildRequires:  %{python_module pytest >= 3.0.3}
BuildRequires:  %{python_module pytest-cov >= 2.3.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module verboselogs >= 1.7}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-capturer >= 2.4
Requires:       python-humanfriendly >= 3.2
Requires(post): update-alternatives
Requires(postun): update-alternatives
Recommends:     python-verboselogs >= 1.7
BuildArch:      noarch
%python_subpackages

%description
The `coloredlogs` package enables colored terminal output for Python's logging_
module. The ColoredFormatter_ class inherits from `logging.Formatter`_ and uses
`ANSI escape sequences`_ to render your logging messages in color. It uses only
standard colors so it should work on any UNIX terminal. It's currently tested
on Python 2.6, 2.7, 3.4, 3.5 and PyPy. On Windows `coloredlogs` automatically
pulls in Colorama_ as a dependency and enables ANSI escape sequence translation
using Colorama.

%prep
%setup -q -n coloredlogs-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/coloredlogs
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative coloredlogs

%postun
%python_uninstall_alternative coloredlogs

%check
# test_cli_conversion - requires coloredlogs binary available, we don't have it at this point
# test_auto_install - requires the install to the system to be actually complete
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version} coloredlogs/tests.py -v -k 'not (test_cli_conversion or test_auto_install)'

%files %{python_files}
%doc README.rst CHANGELOG.rst
%license LICENSE.txt
%python_alternative %{_bindir}/coloredlogs
%{python_sitelib}/coloredlogs/
%{python_sitelib}/coloredlogs.pth
%{python_sitelib}/coloredlogs-%{version}-py*.egg-info

%changelog
* Fri Mar 27 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Tue Aug 21 2018 tchvatal@suse.com
- Version update to 10.0:
  * Many upstream changes to enumerate, see CHANGELOG.rst
- Enable testsuite
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Sep  6 2017 toddrme2178@gmail.com
- Update to version 7.3
  * No changelog
- Implement single-spec version
* Mon Oct 10 2016 mardnh@gmx.de
- initial package, version 5.1.1
